Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

groupentry Member List

This is the complete list of members for groupentry, including all inherited members.

getGroupId() const | groupentry |
getGroupId(const char *groupname) | groupentry | static
getMembers() const | groupentry |
getName() const | groupentry |
getName(gid_t groupid) | groupentry | static
getSid() const (defined in groupentry) | groupentry |
getSidSize() const (defined in groupentry) | groupentry |
getSidString() const | groupentry |
getSidString(const char *groupname) | groupentry | static
groupentry() | groupentry |
groupentry(const groupentry &g) | groupentry |
initialize(const char *groupname) | groupentry |
initialize(gid_t groupid) | groupentry |
needsMutex() | groupentry | static
operator=(const groupentry &g) | groupentry |
platformSupportsFormalSid() | groupentry | static
setMutex(threadmutex *mtx) | groupentry | static
~groupentry() | groupentry |